/* bootstrap */
@media (min-width: 992px) {
    .col-md-6 {
        width: 50%;
    }
}

@media (min-width: 992px) {
    .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9 {
        float: left;
    }
}

.col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-xs-1, .col-xs-10, .col-xs-11, .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9 {
    position: relative;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
}

.row {
    margin-right: -15px;
    margin-left: -15px;
}

@media (min-width: 768px) {
    .players .col-md-6.tournaments {
        padding-top: 0;
    }
}

.tournaments {
    padding-top: 1em;
    padding-bottom: 1em;
}

.list-group {
    padding-left: 0;
    margin-bottom: 20px;
}

ol, ul {
    margin-top: 0;
    margin-bottom: 10px;
}

.list-group-item:first-child {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.list-group-item {
    position: relative;
    display: block;
    padding: 10px 15px;
    margin-bottom: -1px;
    background-color: #fff;
    border: 1px solid #ddd;
}

.h2, h2 {
    font-size: 30px;
}

.h1, .h2, .h3, h1, h2, h3 {
    margin-top: 20px;
    margin-bottom: 10px;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    font-family: inherit;
    font-weight: 500;
    line-height: 1.1;
    color: inherit;
}

/* bootstrap end */

.wrapper {
    display: flex;
    flex-direction: column;
    height: 100%
}

main {
    flex: 1 0 auto
}

.players {
    color: #444;
    background-color: #fff;
    border-radius: 0;
    border: 1px solid #ddd;
    padding-top: 2em;
    margin-bottom: 30px;
}

.tab-content .table {
    color: #444;
    background-color: #fff;
    border-radius: 0;
    border: 1px solid #ddd;
    margin-bottom: 4rem;
}

.tournaments .points {
    font-weight: 700;
    padding-top: .375em
}

.tournaments {
    padding-top: 1em;
    padding-bottom: 1em
}

.pointName {
    width: 80%
}

header .jumbotron {
    padding: 1.5rem 0;
    margin-bottom: 0 !important
}

header .jumbotron.jumbotron-main {
    margin-bottom: 0
}

.bold {
    font-weight: bold !important
}

.red {
    color: rgba(204, 0, 0, 0.89)
}

.pointRow {
    background-color: transparent
}

.top-nav {
    display: flex;
    justify-content: space-between
}

.top-nav a {
    margin-left: 20px
}

.btn__new {
    display: inline-block;
    margin-right: 10px
}

.donat-button {
    font-size: 12px
}

.yellow-black {
    color: #444;
    background-color: #fff;
    border-radius: 0;
    border: 1px solid #ddd;
}

a.header-link {
    text-decoration-line: underline;
    margin-top: -10px;
    display: inline-block;
    margin-bottom: 20px
}

a.header-link:first-child {
    margin-left: 0
}

.hidden {
    display: none !important
}

.rating_main .nav-tabs {
    display: flex;
    flex-direction: column
}

.nav-tabs .link {
    padding: 10px 15px;
    background-color: #fff;
    border-radius: 4px;
    /* font-family: 'Montserrat'; */
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    border: none;
}

.nav-tabs .link.active {
    color: #999;
}

.nav-tabs .link:hover {
    color: #999;
}

.nav-tabs {
    border: 0;
    margin-left: 0;
}

.nav-tabs .nav-item {
    margin-bottom: 10px;
}

.search-block {
    padding: 30px;
    display: flex;
    background: #fff;
    margin: 0;
}

.search-block .form-control {
    margin: 0 auto;
    height: 56px;
    background: #F6F6F6;
    border: 2px solid #E7E7E7;
    /* font-family: 'Montserrat'; */
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    color: #4D4D4D;
    width: 100%;
}

.search-block .form-control::placeholder {
    /* font-family: 'Montserrat'; */
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    color: #4D4D4D;
}

.search-block button {
    background: #FFFFFF;
    border: 2px solid #E7E7E7;
    width: 56px;
}

.mainpage .table .thead-dark th {
    border: 0;
    color: #fff;
}

.tab-pane {
    width: 100%;
    overflow: auto;
    -webkit-overflow-scrolling: touch
}

a.player-link {
    display: block;
    width: 100%;
    text-decoration-line: none;
    color: #212529;
    letter-spacing: 1px;
}

.table-striped tbody tr,
.thead-dark th {
    background-color: #fff !important
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: #fafafa !important
}

@media (min-width:576px) {
    .jumbotron {
        padding-bottom: 2em
    }
}

@media (min-width: 768px) {
    .players .col-md-6.tournaments {
        padding-top: 0;
    }

    .players .col-md-6.tournaments h3 {
        position: absolute;
        bottom: 100%;
    }

    .nav-tabs .nav-item {
        margin-bottom: 0px;
        margin-right: 10px;
    }
}

@media screen and (max-width:440px) {
    header .jumbotron {
        padding: .3rem 0
    }

    header .container {
        padding: 15px 15px 0 15px
    }

    .mainpage .container {
        padding: 0
    }

    .desktop {
        display: none
    }

    .mainpage th {
        font-size: 14px
    }

    .mainpage td a {
        font-size: 12px
    }

    .table .tbody td {
        width: 70%
    }

    .top-nav {
        display: block
    }

    .top-nav a.header-link {
        margin-left: 0
    }
}

.print-button {
    margin-left: 10px
}

.player-list-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: .5rem 1.25rem
}

.player-list-item .btn {
    font-weight: 600
}

.suggestions-container {
    position: relative
}

.suggestions-list {
    display: contents;
    position: absolute;
    padding-left: 0
}

.player-place {
    font-weight: 600
}

.print-button {
    margin-bottom: 10px
}

.search-list {
    position: absolute;
    z-index: 999;
    width: 92%;
    bottom: 100%
}

.search-list-item {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    background-color: #f0e9e9
}

.search-list-item .btn,
.selected-list-item .btn {
    font-size: 10px
}

.inline,
.print-button {
    display: inline-block
}

.selected-container {
    margin: 20px 0
}

.selected-place,
.selected-rating,
.player-place,
.player-rating {
    margin-right: 10px
}

#elimination table {
    margin: 20px auto
}

#elimination td {
    height: 35px
}

@media screen and (min-width:720px) {

    .mainpage .table td,
    .mainpage .table th {
        padding: 15px 50px
    }

    .mainpage .table th:last-child {
        min-width: 295px;
    }

    .nav-tabs {
        display: flex;
        flex-direction: row
    }

    .search-list {
        width: 94%
    }

    .selected-container {
        width: 80%;
        margin-left: auto
    }

    .selected-players {
        margin-top: 35px
    }

    .selected-header {
        margin-left: auto
    }

    .selected-place {
        margin: 0
    }

    .selected-list-item {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        font-size: 14px;
    }

    .search-list-item .btn,
    .selected-list-item .btn {
        font-size: 14px
    }
}

@media print {
    .btn {
        display: none
    }
}

.badge-primary {
    width: auto !important;
    background-color: #eee;
    color: #222;
    font-size: 14px;
    font-weight: 600
}

.date {
    text-align: right;
    letter-spacing: 1px;
}

.list-group .points {
    letter-spacing: 1px;
}

.row {
    margin-top: 10px
}

@media screen and (min-width:990px) {
    .players .list-group-item {
        margin-right: 10%
    }
}

#elimination table {
    border-collapse: collapse
}

#elimination td {
    padding: 10px
}

#elimination .not-empty {
    white-space: nowrap;
    border: 1px solid #000
}

#elimination td.right-line,
#elimination td.left-line {
    padding: 0
}

#elimination .inner-table {
    margin: 0
}

.bottom-line {
    width: 150px;
    border-bottom: 1px solid #000
}

.left-line {
    width: 150px;
    height: 21px;
    border-left: 1px solid #000;
    padding: 0
}

#elimination td.outer-td {
    padding: 0
}

#elimination .right-align {
    text-align: right
}

ul.list-group {
    margin-left: 0;
}


.jumbotron.jumbotron-main.yellow-black {
    padding: 0;
    border: none;
    background: transparent;
}

.rating_main {
    display: flex;
    justify-content: space-around;
}

div#myTabContent {
    width: 100%;
    padding: 30px;
}

.jumbotron.jumbotron-main.yellow-black .search-block {
    width: 100%;
}

.side_wrap {
    width: 360px;
    display: flex;
    flex-direction: column;
    margin-top: -11.5rem;
}

.side_wrap .widget ul,
.side_wrap .widget ol {
    list-style: none;
}

.side_wrap section.widget_text.widget.widget_custom_html {
    background: transparent;
}

.side_wrap .widget_recent_entries {
    background: #fff;
}

.side_wrap .widget_recent_entries li {
    display: flex;
    flex-direction: column-reverse;
}

.side_wrap .widget_recent_entries li span {
    font-size: 16px;
    line-height: 28px;
    color: #999;
}

.side_wrap .widget_recent_entries li a {
    font-size: 16px;
    line-height: 28px;
    color: #4D4D4D;
}

.side_wrap section.widget_search {
    background: #3800FF;
    padding-left: 25px;
    margin: 32px 0;
}

.side_wrap section.widget_search h3 {
    display: block;
    font-weight: 600;
    font-size: 26px;
    line-height: 30px;
    color: #FFFFFF;
}

.side_wrap form.search-form {
    background: #FFFFFF;
    border: 2px solid #E7E7E7;
    max-width: 310px;
}

.side_wrap .widget_text input,
.side_wrap .widget_text textarea,
.side_wrap .widget_text input::placeholder,
.side_wrap .widget_text textarea::placeholder {
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    color: #4D4D4D;
    resize: none;
}

input.wpcf7-form-control.wpcf7-submit {
    font-weight: bold;
    font-size: 15px;
    line-height: 20px;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #FFFFFF;
    background: #FF001E;
    border: none;
}

input.wpcf7-form-control.wpcf7-submit:hover {
    background: #2a2a2a;
}

.side_wrap input.search-submit {
    margin: 0;
    padding: 0;
    height: 56px;
}

.side_wrap .search-form label::after {
    content: '';
    display: block;
    position: absolute;
    top: 19px;
    right: 25px;
    background: 50%/cover no-repeat url(https://russiansquash.ru/wp-content/uploads/2021/03/vector.png);
    width: 14px;
    height: 14px;
}

.side_wrap .widget_text {
    background: #fff;
    padding: 26px 22px;
}

.side_wrap .widget_text h3.widget-title {
    display: block;
    font-weight: 600;
    font-size: 26px;
    line-height: 30px;
    color: #2A2A2A;
    margin-bottom: 32px;
}

.side_wrap .widget h4 {
    font-weight: 600;
    font-size: 26px;
    line-height: 30px;
    color: #2A2A2A;
}

.side_wrap .widget h4 span {
    color: #FF001E;
}

.search-form .search-field {
    margin-right: 76px;
    min-width: 150px;
}

.side_wrap .wpcf7-form div,
.side_wrap .wpcf7-form div a {
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    color: #BCBCBC;
}

.side_wrap .wpcf7-form div {
    padding-top: 26px;
    padding-bottom: 32px;
}

.side_wrap .wpcf7-form div a {
    text-decoration: underline;
    margin: 0 1px;
}

.nav-tabs .link {
    background: transparent;
    font-weight: 500;
    font-size: 15px;
    line-height: 20px;
    text-align: center;
    color: #4D4D4D;
    border: none;
}

.nav-tabs .link.active {
    color: #999;
    border: none;
}

.nav-tabs>li.active>a,
.nav-tabs>li.active>a:focus,
.nav-tabs>li.active>a:hover {
    border: none !important;
}

h1 {
    padding-top: 85px;
    margin-bottom: 50px;
    /* font-family: 'Montserrat'; */
    font-style: normal;
    font-weight: 600;
    font-size: 40px;
    line-height: 42px;
    text-align: center;
    color: #2A2A2A;
}

@media all and (max-width: 1280px) {
    .rating_main {
        flex-wrap: wrap;
    }

    div#myTabContent,
    .jumbotron.jumbotron-main.yellow-black .search-block {
        width: 100%;
        margin: 0 20px;
    }

    .jumbotron.jumbotron-main.yellow-black .search-block {
        margin: 0;
    }

    .side_wrap {
        width: 100%;
        margin: 0 20px;
    }

    .input_wrap {
        display: flex;
        justify-content: space-between;
    }

    .wpcf7-form-control-wrap {
        width: 30%;
    }
}

@media all and (max-width: 786px) {
    .input_wrap {
        flex-wrap: wrap;
    }

    .wpcf7-form-control-wrap {
        width: 100%;
    }

    .table-responsive>.table>tbody>tr>td,
    .table-responsive>.table>tbody>tr>th,
    .table-responsive>.table>tfoot>tr>td,
    .table-responsive>.table>tfoot>tr>th,
    .table-responsive>.table>thead>tr>td,
    .table-responsive>.table>thead>tr>th {
        white-space: normal !important;
    }
}

@media all and (max-width: 576px) {

    h1::before,
    h1::after {
        display: none;
    }
}

.tournaments h3 {
    background: #FF001E;
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #FFFFFF;
    padding: 5px 10px;
}

span.red.pointName,
h5.mb-1.red {
    font-size: 16px;
    line-height: 28px;
    color: #4D4D4D;
}

span.points.bold,
p.mb-1.points {
    font-weight: bold;
    font-size: 16px;
    line-height: 28px;
    text-align: right;
    color: #FF001E;
    padding-left: 16px;
}

small.date {
    text-align: left;
}

.container-fluid .jumbotron.yellow-black {
    padding-left: 0;
    border: none;
    background: transparent;
    padding-bottom: 0;
}

.container-fluid .nav-tabs .link,
.container-fluid .nav-tabs .nav-link.active {
    background: #EAEAEA;
    color: #495057;
}

main.players {
    border: none;
}

li.pointRow.list-group-item,
.list-group-item.pointRow {
    border: none;
    border-bottom: 1px solid #E7E7E7;
}

.list-group .d-flex {
    flex-direction: column;
    justify-content: flex-start;
}

.list-group-item.pointRow {
    display: flex;
    justify-content: space-between;
}

small.date {
    text-align: left;
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    color: #BCBCBC;
}

li.pointRow.list-group-item.d-flex.justify-content-between.align-items-center {
    flex-direction: unset;
}

@media all and (max-width: 786px) {
    main.players {
        flex-wrap: wrap;
    }

    .row {
        display: flex;
    }

    .col-md-6 {
        max-width: 100% !important;
        flex: unset;
    }

    .players .blocks {
        display: flex;
        flex-wrap: wrap;
    }

}

h1 {
    padding-top: 25px;
}

.rating_wrap .mainpage {
    width: 100%;
}


.search-block {
    display: flex;
    align-items: stretch;
    /* растягиваем input и кнопку на всю высоту */
}

.search-block input {
    flex: 1;
    /* input занимает всю доступную ширину */
    padding: 8px 12px;
    /* задаёт высоту */
    border: 1px solid #ccc;
    border-right: none;
    /* чтобы кнопка сливалась с input */
    font-size: 14px;
    box-sizing: border-box;
}

.search-block button {
    display: flex;
    align-items: center;
    /* вертикальное центрирование иконки */
    justify-content: center;
    /* горизонтальное центрирование иконки */
}

.search-block .icon svg {
    display: block;
    /* убирает лишние отступы */
}

.nav {
    list-style: none;
}

.rating_main a:hover {
    color: #23527c;
    text-decoration: underline;
}

.rating_main a.player-link {
    display: block;
    width: 100%;
    text-decoration-line: none;
    color: #212529;
    letter-spacing: 1px;
}

.rating_main a:focus, .rating_main a:hover {
    color: #23527c;
    text-decoration: underline;
}

.pointRow__point {
    margin-bottom: 16px;
    font-weight: 600;
}

@media (max-width: 767px) {
    .jumbotron.jumbotron-main .container {
        padding: 0;
    }

    .jumbotron.jumbotron-main .nav.nav-tabs {
        padding: 0 0 0 20px;
    }

    .jumbotron.jumbotron-main .form-group.search-block {
        padding: 0;
    }

    .jumbotron.jumbotron-main.yellow-black .search-block {
        margin: 0;
        padding: 0;
    }

    .rating_main div#myTabContent {
        margin: 0;
        padding: 0;
    }

    .page div#myTabContent table th, .page table td {
        padding: 5px 12px;
    }

    .mainpage .table td, .mainpage .table th {
        padding: 5px 12px;
    }
}

@media (max-width: 599px) {

    .page div#myTabContent table th, .page table td {
        padding: 5px 8px;
    }

    div#myTabContent .table-striped tbody tr td:nth-child(2) a.player-link {
        width: 80px;
    }
}

@media (max-width: 439px) {

    .jumbotron.jumbotron-main .nav.nav-tabs {
        padding: 0 0 0 15px;
    }


    .page div#myTabContent table th, .page table td {
        padding: 5px 6px;
    }

    div#myTabContent .table-striped tbody tr td:nth-child(2) a.player-link {
        width: 115px;
        word-break: break-word;
    }

    div#myTabContent .table-striped tbody tr td:nth-child(4) a.player-link {
        width: 35px;
    }
}

@media (max-width: 375px) {

    .jumbotron.jumbotron-main .nav.nav-tabs {
        padding: 0 0 0 10px;
    }

    div#myTabContent .table-striped tbody tr td:nth-child(4) a.player-link {
        width: 30px;
    }
}